import 'dart:async';

Future until(bool Function() test, [Duration pollInterval = const Duration(milliseconds: 5)]) {
  var completer = Completer();
  void check() {
    if (test()) {
      completer.complete();
    } else {
      Timer(pollInterval, check);
    }
  }

  check();
  return completer.future;
}
